#!/bin/bash
function stream_curl() {
  curl https://api.openai.com/v1/completions \
      -H "Content-Type: application/json" \
      -H "Accept: text/event-stream" \
      -H "Authorization: Bearer $OPENAI_API_KEY" \
      -d "{\"model\": \"text-davinci-003\", \"prompt\": \"$1\", \"temperature\": 0, \"max_tokens\": 1000, \"stream\": true}" \
      -s
}

function get_streaming() {
  stream_response "$1" | cut -d':' -f2- | while read -r msg; do
    if [ "$msg" != "[DONE]" ]; then
     jq -rj ".choices[0].text" <<< "$msg"
    fi
  done
  echo ""
}
